2019-10-18 23:22 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001726FSSCPmodelspublic2008-10-19 13:13
Reporterkarajorma 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows XP HomeOS VersionSP2
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001726: Jumpnode deletion causes assertion
DescriptionWhen playing Suicide-M01.fs2 as a client. I'll check to see if the same error crops up in King's Gambit (which is the singleplayer version of the mission).

Assert: objp->type != OBJ_NONE
File: Object.cpp
Line: 1156


Call stack:
------------------------------------------------------------------
    ?1jump_node() ?_Gjump_node() jumpnode_level_close() game_level_close() freespace_stop_mission() game_leave_state() gameseq_set_state() game_process_event() gameseq_process_events() game_main() WinMain() WinMainCRTStartup() kernel32.dll 7c816fd7()
------------------------------------------------------------------

It's trying to delete the Capella node but the m_objnum has been set to 0 somewhere.

TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001212resolvedkarajorma Assert: objp->type != OBJ_NONE 
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2008-07-16 16:42 karajorma New Issue
2008-09-17 16:09 karajorma Relationship added has duplicate 0001212
2008-10-19 13:13 karajorma Status new => resolved
2008-10-19 13:13 karajorma Fixed in Version => 3.6.10
2008-10-19 13:13 karajorma Resolution open => fixed
2008-10-19 13:13 karajorma Assigned To => karajorma
+Issue History